## ros-indigo-raw-description 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(raw_description)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY Media meshes urdf
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-raw-description (0.6.9-0trusty) trusty; urgency=high

  * fix syntax
  * fix torso urdf for raw3-1 (#241 <https://github.com/ipa320/cob_common/issues/241>)
    * updated raw3-1 configuration
    * Changed back to collision box
    * Using inertia macro
    * Use geometry macro
  * Contributors: Felix Messmer, Richard Bormann

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-raw-description (0.6.8-0trusty) trusty; urgency=high

  * Merge pull request #246 <https://github.com/ipa320/cob_common/issues/246> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #239 <https://github.com/ipa320/cob_common/issues/239> from ipa-fxm/indigo_dev_rmb
    corrected torso definition
  * corrected torso definition
  * Merge pull request #232 <https://github.com/ipa320/cob_common/issues/232> from bmagyar/simplify_raw_vacuum_gripper_collision_model
    Replace vacuum gripper collision mesh with bounding box
  * Replace vacuum gripper collision mesh with bounding box
  * Merge pull request #230 <https://github.com/ipa320/cob_common/issues/230> from ipa-fxm/update_maintainer
    update maintainer
  * Merge pull request #231 <https://github.com/ipa320/cob_common/issues/231> from ipa-fxm/update_torso_raw3-1
    new torso raw3-1
  * add new torso for raw3-1
  * add powerball urdf
  * update maintainer
  * Merge pull request #224 <https://github.com/ipa320/cob_common/issues/224> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #229 <https://github.com/ipa320/cob_common/issues/229> from ipa-fxm/move_ur_arm
    move ur_arm to raw_description
  * move ur_arm to raw_description
  * use license apache 2.0
  * Contributors: Bence Magyar, Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-raw-description (0.6.7-0trusty) trusty; urgency=high

  * Current config gripper (#221 <https://github.com/ipa320/cob_common/issues/221>)
    * added vacuum gripper
    * New STL file for the vacuum gripper
    * Vacuum Gripper file description updated
    * torso and gripper updates
    * removed obsolete files
    * orient_gripper
  * fix the wheel radius to meet with the actual hardware radii
  * separate laser scanner from base
  * finalizing
  * changes acoording to pull request
  * origin of the colision mesh corrected according with visual values
  * origin of the colision mesh corrected
  * gripper mesh simplified
  * stable behavior by tweaking the base mass/inertia achieved
  * stable behavior by tweaking the base mass/inertia achieved
  * get a stable behavior by tweaking the base mass/inertia
  * use scalable primitive meshes
  * use the properties at the top for the collision properties
  * file name and suffix all small letters.
  * gripper macro name changed and prefix removed as argument
  * tabs vs spaces solved
  * requested changes
  * torso and gripper updates
  * Vacuum Gripper file description updated
  * New STL file for the vacuum gripper
  * added vacuum gripper
  * move gazebo_ros_control plugin
  * use latest xacro syntax
  * manually fix changelog
  * Contributors: Bruno Brito, Richard Bormann, ipa-bfb-sc, ipa-fxm, ipa-mjp, ipa-raw3-3

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-raw-description (0.6.6-0trusty) trusty; urgency=high

  * fixed inertia and mass for raw3 base long
  * Contributors: Benjamin Maidel

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-raw-description (0.6.5-0trusty) trusty; urgency=high

  * restructure simulated lasers and laser topic names
  * fixed copy paste error for base_short laser mounting position
  * Contributors: Benjamin Maidel, ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-raw-description (0.6.4-0trusty) trusty; urgency=high

  * fix typo in collision mesh file name
  * add explicit exec_depend to xacro
  * fix catkin_minimum_required version
  * remove trailing whitespaces
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-indigo-raw-description (0.6.3-0trusty) trusty; urgency=high

  * allow laser calibration
  * remove unsupported calibration_rising
  * separate xacro macro for drive_wheel module used in all bases + significant simplification
  * use PositionJointInterface
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-raw-description (0.6.2-0trusty) trusty; urgency=high

  * use VelocityJointInterface hardware interfaces for simulation of all bases
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-raw-description (0.6.1-0trusty) trusty; urgency=high

  * 1=true
  * fix bumper plugins
  * Contributors: ipa-fxm

 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 23 Sep 2014 22:00:00 -0000

ros-indigo-raw-description (0.6.0-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Mon, 15 Sep 2014 22:00:00 -0000

ros-indigo-raw-description (0.5.5-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Tue, 26 Aug 2014 22:00:00 -0000

ros-indigo-raw-description (0.5.4-0trusty) trusty; urgency=high

  * update changelog
  * consistency changes due to latest gazebo tag format
  * consitency changes due to new transmission format
  * unify materials
  * include gazebo_ros dependendy to export materials
  * merge with hydro_dev
  * cleanup dependencies
  * beautify indentation + cleaning up
  * better approximation of inertias
  * Merge pull request #112 <https://github.com/ipa320/cob_common/issues/112> from ipa-cob4-1/hydro_dev
    Rotated sick_s300 mesh file
  * use the  macros instead 3.14...
  * Merge github.com:ipa-cob4-1/cob_common into hydro_dev


=== debian/control ===
Source: ros-indigo-raw-description
Section: misc
Priority: extra
Maintainer: Jannik Abbenseth <jba@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/cob_description
Standards-Version: 3.9.2

Package: ros-indigo-raw-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-description, ros-indigo-gazebo-ros, ros-indigo-xacro
Description: This package contains the description (mechanical, kinematic, visual, etc.) of the Care-O-bot robot.
 The files in this package are parsed and used by a variety of other components. Most users will not interact directly with this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-raw-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
